SDL_Window Struct Reference

The type used to identify a window. More...

`#include <SDL_sysvideo.h>`

Collaboration diagram for SDL_Window:
[legend]

## Data Fields

const void * | magic
Uint32 | id
char * | title
SDL_Surface * | icon
int | x
int | y
int | w
int | h
int | min_w
int | min_h
int | max_w
int | max_h
Uint32 | flags
Uint32 | last_fullscreen_flags
SDL_Rect | windowed
SDL_DisplayMode | fullscreen_mode
float | opacity
float | brightness
Uint16 * | gamma
Uint16 * | saved_gamma
SDL_Surface * | surface
SDL_bool | surface_valid
SDL_bool | is_hiding
SDL_bool | is_destroying
SDL_bool | is_dropping
SDL_WindowShaper * | shaper
SDL_HitTest | hit_test
void * | hit_test_data
SDL_WindowUserData * | data
void * | driverdata
SDL_Window * | prev
SDL_Window * | next

## Detailed Description

The type used to identify a window.

See also
  SDL_CreateWindow()
  SDL_CreateWindowFrom()
  SDL_DestroyWindow()
  SDL_GetWindowData()
  SDL_GetWindowFlags()
  SDL_GetWindowGrab()
  SDL_GetWindowPosition()
  SDL_GetWindowSize()
  SDL_GetWindowTitle()
  SDL_HideWindow()
  SDL_MaximizeWindow()
  SDL_MinimizeWindow()
  SDL_RaiseWindow()
  SDL_RestoreWindow()
  SDL_SetWindowData()
  SDL_SetWindowFullscreen()
  SDL_SetWindowGrab()
  SDL_SetWindowIcon()
  SDL_SetWindowPosition()
  SDL_SetWindowSize()
  SDL_SetWindowBordered()
  SDL_SetWindowResizable()
  SDL_SetWindowTitle()
  SDL_ShowWindow()

Definition at line 73 of file SDL_sysvideo.h.

## Field Documentation

## brightness

float SDL_Window::brightness

Definition at line 93 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_GetWindowBrightness(), and SDL_SetWindowBrightness().

## data

SDL_WindowUserData* SDL_Window::data

Definition at line 109 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_GetWindowData(), and SDL_SetWindowData().

## driverdata

void* SDL_Window::driverdata

Definition at line 111 of file SDL_sysvideo.h.

Referenced by createWindow(), createWindowFramebuffer(), destroyWindow(), glCreateContext(), glMakeCurrent(), glSwapWindow(), hideWindow(), setWindowSize(), showWindow(), updateWindowFramebuffer(), and WINRT_ProcessWindowSizeChange().

## flags

Uint32 SDL_Window::flags

Definition at line 83 of file SDL_sysvideo.h.

Referenced by createWindow(), SDL_CaptureMouse(), SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_DestroyWindow(), SDL_GetFocusWindow(), SDL_GetGrabbedWindow(), SDL_GetWindowDisplayMode(), SDL_GetWindowFlags(), SDL_GetWindowGrab(), SDL_GetWindowPosition(), SDL_GL_CreateContext(), SDL_GL_MakeCurrent(), SDL_GL_SwapWindow(), SDL_HideWindow(), SDL_MaximizeWindow(), SDL_MinimizeWindow(), SDL_PrivateSendMouseMotion(), SDL_RaiseWindow(), SDL_RecreateWindow(), SDL_RestoreWindow(), SDL_SendWindowEvent(), SDL_SetKeyboardFocus(), SDL_SetWindowBordered(), SDL_SetWindowDisplayMode(), SDL_SetWindowFullscreen(), SDL_SetWindowGammaRamp(), SDL_SetWindowGrab(), SDL_SetWindowMaximumSize(), SDL_SetWindowMinimumSize(), SDL_SetWindowPosition(), SDL_SetWindowResizable(), SDL_SetWindowSize(), SDL_ShowWindow(), SDL_UpdateFullscreenMode(), SDL_UpdateMouseFocus(), SDL_UpdateWindowGrab(), SDL_Vulkan_CreateSurface(), SDL_Vulkan_GetInstanceExtensions(), and ShouldMinimizeOnFocusLoss().

## fullscreen_mode

SDL_DisplayMode SDL_Window::fullscreen_mode

Definition at line 89 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowDisplayMode(), and SDL_SetWindowDisplayMode().

## gamma

Uint16* SDL_Window::gamma

Definition at line 94 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_GetWindowGammaRamp(), SDL_OnWindowFocusGained(), SDL_OnWindowFocusLost(), and SDL_SetWindowGammaRamp().

## h

int SDL_Window::h

Definition at line 80 of file SDL_sysvideo.h.

Referenced by createWindow(), SDL_CreateWindow(), SDL_CreateWindowFramebuffer(), SDL_CreateWindowTexture(), SDL_GetWindowDisplayIndex(), SDL_GetWindowSize(), SDL_OnWindowFocusGained(), SDL_OnWindowResized(), SDL_SendWindowEvent(), SDL_SetRelativeMouseMode(), SDL_SetWindowMaximumSize(), SDL_SetWindowMinimumSize(), SDL_SetWindowPosition(), SDL_SetWindowSize(), SDL_UpdateFullscreenMode(), SDL_UpdateWindowSurface(), SDL_UpdateWindowTexture(), and setWindowSize().

## hit_test

SDL_HitTest SDL_Window::hit_test

Definition at line 106 of file SDL_sysvideo.h.

Referenced by SDL_RecreateWindow(), and SDL_SetWindowHitTest().

## hit_test_data

void* SDL_Window::hit_test_data

Definition at line 107 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowHitTest().

## icon

SDL_Surface* SDL_Window::icon

Definition at line 78 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_RecreateWindow(), and SDL_SetWindowIcon().

## id

Uint32 SDL_Window::id

Definition at line 76 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_GetWindowFromID(), SDL_GetWindowID(), SDL_PrivateSendMouseButton(), SDL_PrivateSendMouseMotion(), SDL_SendDrop(), SDL_SendEditingText(), SDL_SendKeyboardKey(), SDL_SendKeyboardText(), SDL_SendMouseWheel(), and SDL_SendWindowEvent().

## is_destroying

SDL_bool SDL_Window::is_destroying

Definition at line 101 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_DestroyWindow(), SDL_RecreateWindow(), SDL_UpdateFullscreenMode(), and ShouldMinimizeOnFocusLoss().

## is_dropping

SDL_bool SDL_Window::is_dropping

Definition at line 102 of file SDL_sysvideo.h.

Referenced by SDL_SendDrop().

## is_hiding

SDL_bool SDL_Window::is_hiding

Definition at line 100 of file SDL_sysvideo.h.

Referenced by SDL_HideWindow(), and SDL_UpdateFullscreenMode().

## last_fullscreen_flags

Uint32 SDL_Window::last_fullscreen_flags

Definition at line 84 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_RecreateWindow(), SDL_SetWindowSize(), and SDL_UpdateFullscreenMode().

## magic

const void* SDL_Window::magic

Definition at line 75 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), and SDL_DestroyWindow().

## max_h

int SDL_Window::max_h

Definition at line 82 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowMaximumSize(), SDL_SetWindowMaximumSize(), SDL_SetWindowMinimumSize(), and SDL_SetWindowSize().

## max_w

int SDL_Window::max_w

Definition at line 82 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowMaximumSize(), SDL_SetWindowMaximumSize(), SDL_SetWindowMinimumSize(), and SDL_SetWindowSize().

## min_h

int SDL_Window::min_h

Definition at line 81 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowMinimumSize(), SDL_SetWindowMinimumSize(), and SDL_SetWindowSize().

## min_w

int SDL_Window::min_w

Definition at line 81 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowMinimumSize(), SDL_SetWindowMinimumSize(), and SDL_SetWindowSize().

## next

SDL_Window* SDL_Window::next

Definition at line 114 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_DestroyWindow(), SDL_GetFocusWindow(), SDL_GetWindowFromID(), SDL_OnApplicationDidBecomeActive(), SDL_OnApplicationWillResignActive(), SDL_SendWindowEvent(), and SDL_UpdateFullscreenMode().

## opacity

float SDL_Window::opacity

Definition at line 91 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_GetWindowOpacity(), and SDL_SetWindowOpacity().

## prev

SDL_Window* SDL_Window::prev

Definition at line 113 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_DestroyWindow(), and SDL_SendWindowEvent().

## saved_gamma

Uint16* SDL_Window::saved_gamma

Definition at line 95 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowGammaRamp(), and SDL_OnWindowFocusLost().

## shaper

SDL_WindowShaper* SDL_Window::shaper

Definition at line 104 of file SDL_sysvideo.h.

Referenced by SDL_CreateShapedWindow(), SDL_GetShapedWindowMode(), SDL_IsShapedWindow(), SDL_SetWindowShape(), and SDL_WindowHasAShape().

## surface

SDL_Surface* SDL_Window::surface

Definition at line 97 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_GetWindowSurface(), and SDL_RecreateWindow().

## surface_valid

SDL_bool SDL_Window::surface_valid

Definition at line 98 of file SDL_sysvideo.h.

Referenced by IsSDLWindowEventPending(), SDL_GetWindowSurface(), SDL_OnWindowResized(), and SDL_UpdateWindowSurfaceRects().

## title

char* SDL_Window::title

Definition at line 77 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_GetWindowTitle(), SDL_RecreateWindow(), and SDL_SetWindowTitle().

## w

int SDL_Window::w

Definition at line 80 of file SDL_sysvideo.h.

Referenced by createWindow(), SDL_CreateWindow(), SDL_CreateWindowFramebuffer(), SDL_CreateWindowTexture(), SDL_GetWindowDisplayIndex(), SDL_GetWindowSize(), SDL_OnWindowFocusGained(), SDL_OnWindowResized(), SDL_SendWindowEvent(), SDL_SetRelativeMouseMode(), SDL_SetWindowMaximumSize(), SDL_SetWindowMinimumSize(), SDL_SetWindowPosition(), SDL_SetWindowSize(), SDL_UpdateFullscreenMode(), SDL_UpdateWindowSurface(), SDL_UpdateWindowTexture(), and setWindowSize().

## windowed

SDL_Rect SDL_Window::windowed

Definition at line 87 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_GetWindowDisplayMode(), SDL_SendWindowEvent(), SDL_SetWindowPosition(), and SDL_SetWindowSize().

## x

int SDL_Window::x

Definition at line 79 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_GetWindowDisplayIndex(), SDL_GetWindowPosition(), SDL_SendWindowEvent(), and SDL_SetWindowPosition().

## y

int SDL_Window::y

Definition at line 79 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_GetWindowDisplayIndex(), SDL_GetWindowPosition(), SDL_SendWindowEvent(), and SDL_SetWindowPosition().

The documentation for this struct was generated from the following file:

- src/video/SDL_sysvideo.h